## ros-one-mbf-abstract-nav 0.4.0-42jammy.20251207.2317

=== debian/changelog ===
ros-one-mbf-abstract-nav (0.4.0-42jammy.20251207.2317) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Sun, 07 Dec 2025 23:17:07 +0000
