## ros-one-mbf-abstract-nav 0.4.0-42jammy.20260221.2210

=== debian/changelog ===
ros-one-mbf-abstract-nav (0.4.0-42jammy.20260221.2210) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 21 Feb 2026 22:10:40 +0000
