## ros-one-mbf-abstract-nav 0.4.0-42noble.20260221.2305

=== debian/changelog ===
ros-one-mbf-abstract-nav (0.4.0-42noble.20260221.2305) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 21 Feb 2026 23:05:47 +0000
